label .control_panel.current_load -text "Currently Loaded Model" -font label_font

label .control_panel.load_model_name \
      -font text_font -textvariable .control_panel.load_model_name.var

pack .control_panel.current_load
pack .control_panel.load_model_name

send_environment_cmd \
  "create simple-handler .control_panel.load_model_name \
    .control_panel.load_model_name.var \
    (lambda (x) \
      (if (car *model*) \
          (pathname-name (car *model*)) \
        \"No Model Loaded\")) (init)"

bind .control_panel.load_model_name <Destroy> {
  remove_handler %W
}

